Skip to main content
Update A Registered External Chat Completions Agent.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Body

application/json
title
string | null
description
string | null
tags
string[] | null
name
string | null
api_url
string | null
auth_scheme
enum<string> | null
Available options:
BEARER_TOKEN,
API_KEY,
NONE
auth_config
Auth Config · object | null
chat_params
Chat Params · object | null
instructions
string | null
nickname
string | null
connection_id
string | null
config
ExternalChatAgentConfig · object | null
context_access_enabled
boolean | null

Enable access to context variables for this agent

context_variables
string[] | null

List of context variable names that this agent can access

Response

Successful Response